import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@smithy/protocol-http";
import { SdkStreamSerdeContext as __SdkStreamSerdeContext, SerdeContext as __SerdeContext } from "@smithy/types";
import { AssociateExternalConnectionCommandInput, AssociateExternalConnectionCommandOutput } from "../commands/AssociateExternalConnectionCommand";
import { CopyPackageVersionsCommandInput, CopyPackageVersionsCommandOutput } from "../commands/CopyPackageVersionsCommand";
import { CreateDomainCommandInput, CreateDomainCommandOutput } from "../commands/CreateDomainCommand";
import { CreateRepositoryCommandInput, CreateRepositoryCommandOutput } from "../commands/CreateRepositoryCommand";
import { DeleteDomainCommandInput, DeleteDomainCommandOutput } from "../commands/DeleteDomainCommand";
import { DeleteDomainPermissionsPolicyCommandInput, DeleteDomainPermissionsPolicyCommandOutput } from "../commands/DeleteDomainPermissionsPolicyCommand";
import { DeletePackageCommandInput, DeletePackageCommandOutput } from "../commands/DeletePackageCommand";
import { DeletePackageVersionsCommandInput, DeletePackageVersionsCommandOutput } from "../commands/DeletePackageVersionsCommand";
import { DeleteRepositoryCommandInput, DeleteRepositoryCommandOutput } from "../commands/DeleteRepositoryCommand";
import { DeleteRepositoryPermissionsPolicyCommandInput, DeleteRepositoryPermissionsPolicyCommandOutput } from "../commands/DeleteRepositoryPermissionsPolicyCommand";
import { DescribeDomainCommandInput, DescribeDomainCommandOutput } from "../commands/DescribeDomainCommand";
import { DescribePackageCommandInput, DescribePackageCommandOutput } from "../commands/DescribePackageCommand";
import { DescribePackageVersionCommandInput, DescribePackageVersionCommandOutput } from "../commands/DescribePackageVersionCommand";
import { DescribeRepositoryCommandInput, DescribeRepositoryCommandOutput } from "../commands/DescribeRepositoryCommand";
import { DisassociateExternalConnectionCommandInput, DisassociateExternalConnectionCommandOutput } from "../commands/DisassociateExternalConnectionCommand";
import { DisposePackageVersionsCommandInput, DisposePackageVersionsCommandOutput } from "../commands/DisposePackageVersionsCommand";
import { GetAuthorizationTokenCommandInput, GetAuthorizationTokenCommandOutput } from "../commands/GetAuthorizationTokenCommand";
import { GetDomainPermissionsPolicyCommandInput, GetDomainPermissionsPolicyCommandOutput } from "../commands/GetDomainPermissionsPolicyCommand";
import { GetPackageVersionAssetCommandInput, GetPackageVersionAssetCommandOutput } from "../commands/GetPackageVersionAssetCommand";
import { GetPackageVersionReadmeCommandInput, GetPackageVersionReadmeCommandOutput } from "../commands/GetPackageVersionReadmeCommand";
import { GetRepositoryEndpointCommandInput, GetRepositoryEndpointCommandOutput } from "../commands/GetRepositoryEndpointCommand";
import { GetRepositoryPermissionsPolicyCommandInput, GetRepositoryPermissionsPolicyCommandOutput } from "../commands/GetRepositoryPermissionsPolicyCommand";
import { ListDomainsCommandInput, ListDomainsCommandOutput } from "../commands/ListDomainsCommand";
import { ListPackagesCommandInput, ListPackagesCommandOutput } from "../commands/ListPackagesCommand";
import { ListPackageVersionAssetsCommandInput, ListPackageVersionAssetsCommandOutput } from "../commands/ListPackageVersionAssetsCommand";
import { ListPackageVersionDependenciesCommandInput, ListPackageVersionDependenciesCommandOutput } from "../commands/ListPackageVersionDependenciesCommand";
import { ListPackageVersionsCommandInput, ListPackageVersionsCommandOutput } from "../commands/ListPackageVersionsCommand";
import { ListRepositoriesCommandInput, ListRepositoriesCommandOutput } from "../commands/ListRepositoriesCommand";
import { ListRepositoriesInDomainCommandInput, ListRepositoriesInDomainCommandOutput } from "../commands/ListRepositoriesInDomainCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { PublishPackageVersionCommandInput, PublishPackageVersionCommandOutput } from "../commands/PublishPackageVersionCommand";
import { PutDomainPermissionsPolicyCommandInput, PutDomainPermissionsPolicyCommandOutput } from "../commands/PutDomainPermissionsPolicyCommand";
import { PutPackageOriginConfigurationCommandInput, PutPackageOriginConfigurationCommandOutput } from "../commands/PutPackageOriginConfigurationCommand";
import { PutRepositoryPermissionsPolicyCommandInput, PutRepositoryPermissionsPolicyCommandOutput } from "../commands/PutRepositoryPermissionsPolicyCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdatePackageVersionsStatusCommandInput, UpdatePackageVersionsStatusCommandOutput } from "../commands/UpdatePackageVersionsStatusCommand";
import { UpdateRepositoryCommandInput, UpdateRepositoryCommandOutput } from "../commands/UpdateRepositoryCommand";
/**
 * serializeAws_restJson1AssociateExternalConnectionCommand
 */
export declare const se_AssociateExternalConnectionCommand: (input: AssociateExternalConnectionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CopyPackageVersionsCommand
 */
export declare const se_CopyPackageVersionsCommand: (input: CopyPackageVersionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateDomainCommand
 */
export declare const se_CreateDomainCommand: (input: CreateDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1CreateRepositoryCommand
 */
export declare const se_CreateRepositoryCommand: (input: CreateRepositoryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteDomainCommand
 */
export declare const se_DeleteDomainCommand: (input: DeleteDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteDomainPermissionsPolicyCommand
 */
export declare const se_DeleteDomainPermissionsPolicyCommand: (input: DeleteDomainPermissionsPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeletePackageCommand
 */
export declare const se_DeletePackageCommand: (input: DeletePackageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeletePackageVersionsCommand
 */
export declare const se_DeletePackageVersionsCommand: (input: DeletePackageVersionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteRepositoryCommand
 */
export declare const se_DeleteRepositoryCommand: (input: DeleteRepositoryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DeleteRepositoryPermissionsPolicyCommand
 */
export declare const se_DeleteRepositoryPermissionsPolicyCommand: (input: DeleteRepositoryPermissionsPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeDomainCommand
 */
export declare const se_DescribeDomainCommand: (input: DescribeDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribePackageCommand
 */
export declare const se_DescribePackageCommand: (input: DescribePackageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribePackageVersionCommand
 */
export declare const se_DescribePackageVersionCommand: (input: DescribePackageVersionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DescribeRepositoryCommand
 */
export declare const se_DescribeRepositoryCommand: (input: DescribeRepositoryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DisassociateExternalConnectionCommand
 */
export declare const se_DisassociateExternalConnectionCommand: (input: DisassociateExternalConnectionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1DisposePackageVersionsCommand
 */
export declare const se_DisposePackageVersionsCommand: (input: DisposePackageVersionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetAuthorizationTokenCommand
 */
export declare const se_GetAuthorizationTokenCommand: (input: GetAuthorizationTokenCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetDomainPermissionsPolicyCommand
 */
export declare const se_GetDomainPermissionsPolicyCommand: (input: GetDomainPermissionsPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetPackageVersionAssetCommand
 */
export declare const se_GetPackageVersionAssetCommand: (input: GetPackageVersionAssetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetPackageVersionReadmeCommand
 */
export declare const se_GetPackageVersionReadmeCommand: (input: GetPackageVersionReadmeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetRepositoryEndpointCommand
 */
export declare const se_GetRepositoryEndpointCommand: (input: GetRepositoryEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1GetRepositoryPermissionsPolicyCommand
 */
export declare const se_GetRepositoryPermissionsPolicyCommand: (input: GetRepositoryPermissionsPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListDomainsCommand
 */
export declare const se_ListDomainsCommand: (input: ListDomainsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListPackagesCommand
 */
export declare const se_ListPackagesCommand: (input: ListPackagesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListPackageVersionAssetsCommand
 */
export declare const se_ListPackageVersionAssetsCommand: (input: ListPackageVersionAssetsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListPackageVersionDependenciesCommand
 */
export declare const se_ListPackageVersionDependenciesCommand: (input: ListPackageVersionDependenciesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListPackageVersionsCommand
 */
export declare const se_ListPackageVersionsCommand: (input: ListPackageVersionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListRepositoriesCommand
 */
export declare const se_ListRepositoriesCommand: (input: ListRepositoriesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListRepositoriesInDomainCommand
 */
export declare const se_ListRepositoriesInDomainCommand: (input: ListRepositoriesInDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1ListTagsForResourceCommand
 */
export declare const se_ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PublishPackageVersionCommand
 */
export declare const se_PublishPackageVersionCommand: (input: PublishPackageVersionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutDomainPermissionsPolicyCommand
 */
export declare const se_PutDomainPermissionsPolicyCommand: (input: PutDomainPermissionsPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutPackageOriginConfigurationCommand
 */
export declare const se_PutPackageOriginConfigurationCommand: (input: PutPackageOriginConfigurationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1PutRepositoryPermissionsPolicyCommand
 */
export declare const se_PutRepositoryPermissionsPolicyCommand: (input: PutRepositoryPermissionsPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1TagResourceCommand
 */
export declare const se_TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UntagResourceCommand
 */
export declare const se_UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdatePackageVersionsStatusCommand
 */
export declare const se_UpdatePackageVersionsStatusCommand: (input: UpdatePackageVersionsStatusCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * serializeAws_restJson1UpdateRepositoryCommand
 */
export declare const se_UpdateRepositoryCommand: (input: UpdateRepositoryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
/**
 * deserializeAws_restJson1AssociateExternalConnectionCommand
 */
export declare const de_AssociateExternalConnectionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateExternalConnectionCommandOutput>;
/**
 * deserializeAws_restJson1CopyPackageVersionsCommand
 */
export declare const de_CopyPackageVersionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CopyPackageVersionsCommandOutput>;
/**
 * deserializeAws_restJson1CreateDomainCommand
 */
export declare const de_CreateDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateDomainCommandOutput>;
/**
 * deserializeAws_restJson1CreateRepositoryCommand
 */
export declare const de_CreateRepositoryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateRepositoryCommandOutput>;
/**
 * deserializeAws_restJson1DeleteDomainCommand
 */
export declare const de_DeleteDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteDomainCommandOutput>;
/**
 * deserializeAws_restJson1DeleteDomainPermissionsPolicyCommand
 */
export declare const de_DeleteDomainPermissionsPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteDomainPermissionsPolicyCommandOutput>;
/**
 * deserializeAws_restJson1DeletePackageCommand
 */
export declare const de_DeletePackageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeletePackageCommandOutput>;
/**
 * deserializeAws_restJson1DeletePackageVersionsCommand
 */
export declare const de_DeletePackageVersionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeletePackageVersionsCommandOutput>;
/**
 * deserializeAws_restJson1DeleteRepositoryCommand
 */
export declare const de_DeleteRepositoryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteRepositoryCommandOutput>;
/**
 * deserializeAws_restJson1DeleteRepositoryPermissionsPolicyCommand
 */
export declare const de_DeleteRepositoryPermissionsPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteRepositoryPermissionsPolicyCommandOutput>;
/**
 * deserializeAws_restJson1DescribeDomainCommand
 */
export declare const de_DescribeDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeDomainCommandOutput>;
/**
 * deserializeAws_restJson1DescribePackageCommand
 */
export declare const de_DescribePackageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribePackageCommandOutput>;
/**
 * deserializeAws_restJson1DescribePackageVersionCommand
 */
export declare const de_DescribePackageVersionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribePackageVersionCommandOutput>;
/**
 * deserializeAws_restJson1DescribeRepositoryCommand
 */
export declare const de_DescribeRepositoryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeRepositoryCommandOutput>;
/**
 * deserializeAws_restJson1DisassociateExternalConnectionCommand
 */
export declare const de_DisassociateExternalConnectionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateExternalConnectionCommandOutput>;
/**
 * deserializeAws_restJson1DisposePackageVersionsCommand
 */
export declare const de_DisposePackageVersionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisposePackageVersionsCommandOutput>;
/**
 * deserializeAws_restJson1GetAuthorizationTokenCommand
 */
export declare const de_GetAuthorizationTokenCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetAuthorizationTokenCommandOutput>;
/**
 * deserializeAws_restJson1GetDomainPermissionsPolicyCommand
 */
export declare const de_GetDomainPermissionsPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetDomainPermissionsPolicyCommandOutput>;
/**
 * deserializeAws_restJson1GetPackageVersionAssetCommand
 */
export declare const de_GetPackageVersionAssetCommand: (output: __HttpResponse, context: __SerdeContext & __SdkStreamSerdeContext) => Promise<GetPackageVersionAssetCommandOutput>;
/**
 * deserializeAws_restJson1GetPackageVersionReadmeCommand
 */
export declare const de_GetPackageVersionReadmeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetPackageVersionReadmeCommandOutput>;
/**
 * deserializeAws_restJson1GetRepositoryEndpointCommand
 */
export declare const de_GetRepositoryEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetRepositoryEndpointCommandOutput>;
/**
 * deserializeAws_restJson1GetRepositoryPermissionsPolicyCommand
 */
export declare const de_GetRepositoryPermissionsPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetRepositoryPermissionsPolicyCommandOutput>;
/**
 * deserializeAws_restJson1ListDomainsCommand
 */
export declare const de_ListDomainsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListDomainsCommandOutput>;
/**
 * deserializeAws_restJson1ListPackagesCommand
 */
export declare const de_ListPackagesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListPackagesCommandOutput>;
/**
 * deserializeAws_restJson1ListPackageVersionAssetsCommand
 */
export declare const de_ListPackageVersionAssetsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListPackageVersionAssetsCommandOutput>;
/**
 * deserializeAws_restJson1ListPackageVersionDependenciesCommand
 */
export declare const de_ListPackageVersionDependenciesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListPackageVersionDependenciesCommandOutput>;
/**
 * deserializeAws_restJson1ListPackageVersionsCommand
 */
export declare const de_ListPackageVersionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListPackageVersionsCommandOutput>;
/**
 * deserializeAws_restJson1ListRepositoriesCommand
 */
export declare const de_ListRepositoriesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListRepositoriesCommandOutput>;
/**
 * deserializeAws_restJson1ListRepositoriesInDomainCommand
 */
export declare const de_ListRepositoriesInDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListRepositoriesInDomainCommandOutput>;
/**
 * deserializeAws_restJson1ListTagsForResourceCommand
 */
export declare const de_ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
/**
 * deserializeAws_restJson1PublishPackageVersionCommand
 */
export declare const de_PublishPackageVersionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PublishPackageVersionCommandOutput>;
/**
 * deserializeAws_restJson1PutDomainPermissionsPolicyCommand
 */
export declare const de_PutDomainPermissionsPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutDomainPermissionsPolicyCommandOutput>;
/**
 * deserializeAws_restJson1PutPackageOriginConfigurationCommand
 */
export declare const de_PutPackageOriginConfigurationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutPackageOriginConfigurationCommandOutput>;
/**
 * deserializeAws_restJson1PutRepositoryPermissionsPolicyCommand
 */
export declare const de_PutRepositoryPermissionsPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutRepositoryPermissionsPolicyCommandOutput>;
/**
 * deserializeAws_restJson1TagResourceCommand
 */
export declare const de_TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UntagResourceCommand
 */
export declare const de_UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
/**
 * deserializeAws_restJson1UpdatePackageVersionsStatusCommand
 */
export declare const de_UpdatePackageVersionsStatusCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdatePackageVersionsStatusCommandOutput>;
/**
 * deserializeAws_restJson1UpdateRepositoryCommand
 */
export declare const de_UpdateRepositoryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateRepositoryCommandOutput>;
