import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import {
  SdkStreamSerdeContext as __SdkStreamSerdeContext,
  SerdeContext as __SerdeContext,
} from "@smithy/types";
import {
  AssociateExternalConnectionCommandInput,
  AssociateExternalConnectionCommandOutput,
} from "../commands/AssociateExternalConnectionCommand";
import {
  CopyPackageVersionsCommandInput,
  CopyPackageVersionsCommandOutput,
} from "../commands/CopyPackageVersionsCommand";
import {
  CreateDomainCommandInput,
  CreateDomainCommandOutput,
} from "../commands/CreateDomainCommand";
import {
  CreateRepositoryCommandInput,
  CreateRepositoryCommandOutput,
} from "../commands/CreateRepositoryCommand";
import {
  DeleteDomainCommandInput,
  DeleteDomainCommandOutput,
} from "../commands/DeleteDomainCommand";
import {
  DeleteDomainPermissionsPolicyCommandInput,
  DeleteDomainPermissionsPolicyCommandOutput,
} from "../commands/DeleteDomainPermissionsPolicyCommand";
import {
  DeletePackageCommandInput,
  DeletePackageCommandOutput,
} from "../commands/DeletePackageCommand";
import {
  DeletePackageVersionsCommandInput,
  DeletePackageVersionsCommandOutput,
} from "../commands/DeletePackageVersionsCommand";
import {
  DeleteRepositoryCommandInput,
  DeleteRepositoryCommandOutput,
} from "../commands/DeleteRepositoryCommand";
import {
  DeleteRepositoryPermissionsPolicyCommandInput,
  DeleteRepositoryPermissionsPolicyCommandOutput,
} from "../commands/DeleteRepositoryPermissionsPolicyCommand";
import {
  DescribeDomainCommandInput,
  DescribeDomainCommandOutput,
} from "../commands/DescribeDomainCommand";
import {
  DescribePackageCommandInput,
  DescribePackageCommandOutput,
} from "../commands/DescribePackageCommand";
import {
  DescribePackageVersionCommandInput,
  DescribePackageVersionCommandOutput,
} from "../commands/DescribePackageVersionCommand";
import {
  DescribeRepositoryCommandInput,
  DescribeRepositoryCommandOutput,
} from "../commands/DescribeRepositoryCommand";
import {
  DisassociateExternalConnectionCommandInput,
  DisassociateExternalConnectionCommandOutput,
} from "../commands/DisassociateExternalConnectionCommand";
import {
  DisposePackageVersionsCommandInput,
  DisposePackageVersionsCommandOutput,
} from "../commands/DisposePackageVersionsCommand";
import {
  GetAuthorizationTokenCommandInput,
  GetAuthorizationTokenCommandOutput,
} from "../commands/GetAuthorizationTokenCommand";
import {
  GetDomainPermissionsPolicyCommandInput,
  GetDomainPermissionsPolicyCommandOutput,
} from "../commands/GetDomainPermissionsPolicyCommand";
import {
  GetPackageVersionAssetCommandInput,
  GetPackageVersionAssetCommandOutput,
} from "../commands/GetPackageVersionAssetCommand";
import {
  GetPackageVersionReadmeCommandInput,
  GetPackageVersionReadmeCommandOutput,
} from "../commands/GetPackageVersionReadmeCommand";
import {
  GetRepositoryEndpointCommandInput,
  GetRepositoryEndpointCommandOutput,
} from "../commands/GetRepositoryEndpointCommand";
import {
  GetRepositoryPermissionsPolicyCommandInput,
  GetRepositoryPermissionsPolicyCommandOutput,
} from "../commands/GetRepositoryPermissionsPolicyCommand";
import {
  ListDomainsCommandInput,
  ListDomainsCommandOutput,
} from "../commands/ListDomainsCommand";
import {
  ListPackagesCommandInput,
  ListPackagesCommandOutput,
} from "../commands/ListPackagesCommand";
import {
  ListPackageVersionAssetsCommandInput,
  ListPackageVersionAssetsCommandOutput,
} from "../commands/ListPackageVersionAssetsCommand";
import {
  ListPackageVersionDependenciesCommandInput,
  ListPackageVersionDependenciesCommandOutput,
} from "../commands/ListPackageVersionDependenciesCommand";
import {
  ListPackageVersionsCommandInput,
  ListPackageVersionsCommandOutput,
} from "../commands/ListPackageVersionsCommand";
import {
  ListRepositoriesCommandInput,
  ListRepositoriesCommandOutput,
} from "../commands/ListRepositoriesCommand";
import {
  ListRepositoriesInDomainCommandInput,
  ListRepositoriesInDomainCommandOutput,
} from "../commands/ListRepositoriesInDomainCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  PublishPackageVersionCommandInput,
  PublishPackageVersionCommandOutput,
} from "../commands/PublishPackageVersionCommand";
import {
  PutDomainPermissionsPolicyCommandInput,
  PutDomainPermissionsPolicyCommandOutput,
} from "../commands/PutDomainPermissionsPolicyCommand";
import {
  PutPackageOriginConfigurationCommandInput,
  PutPackageOriginConfigurationCommandOutput,
} from "../commands/PutPackageOriginConfigurationCommand";
import {
  PutRepositoryPermissionsPolicyCommandInput,
  PutRepositoryPermissionsPolicyCommandOutput,
} from "../commands/PutRepositoryPermissionsPolicyCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdatePackageVersionsStatusCommandInput,
  UpdatePackageVersionsStatusCommandOutput,
} from "../commands/UpdatePackageVersionsStatusCommand";
import {
  UpdateRepositoryCommandInput,
  UpdateRepositoryCommandOutput,
} from "../commands/UpdateRepositoryCommand";
export declare const se_AssociateExternalConnectionCommand: (
  input: AssociateExternalConnectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CopyPackageVersionsCommand: (
  input: CopyPackageVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateDomainCommand: (
  input: CreateDomainCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateRepositoryCommand: (
  input: CreateRepositoryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteDomainCommand: (
  input: DeleteDomainCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteDomainPermissionsPolicyCommand: (
  input: DeleteDomainPermissionsPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePackageCommand: (
  input: DeletePackageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePackageVersionsCommand: (
  input: DeletePackageVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteRepositoryCommand: (
  input: DeleteRepositoryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteRepositoryPermissionsPolicyCommand: (
  input: DeleteRepositoryPermissionsPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeDomainCommand: (
  input: DescribeDomainCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribePackageCommand: (
  input: DescribePackageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribePackageVersionCommand: (
  input: DescribePackageVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeRepositoryCommand: (
  input: DescribeRepositoryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateExternalConnectionCommand: (
  input: DisassociateExternalConnectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisposePackageVersionsCommand: (
  input: DisposePackageVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAuthorizationTokenCommand: (
  input: GetAuthorizationTokenCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetDomainPermissionsPolicyCommand: (
  input: GetDomainPermissionsPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPackageVersionAssetCommand: (
  input: GetPackageVersionAssetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPackageVersionReadmeCommand: (
  input: GetPackageVersionReadmeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetRepositoryEndpointCommand: (
  input: GetRepositoryEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetRepositoryPermissionsPolicyCommand: (
  input: GetRepositoryPermissionsPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDomainsCommand: (
  input: ListDomainsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPackagesCommand: (
  input: ListPackagesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPackageVersionAssetsCommand: (
  input: ListPackageVersionAssetsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPackageVersionDependenciesCommand: (
  input: ListPackageVersionDependenciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPackageVersionsCommand: (
  input: ListPackageVersionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRepositoriesCommand: (
  input: ListRepositoriesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRepositoriesInDomainCommand: (
  input: ListRepositoriesInDomainCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PublishPackageVersionCommand: (
  input: PublishPackageVersionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutDomainPermissionsPolicyCommand: (
  input: PutDomainPermissionsPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutPackageOriginConfigurationCommand: (
  input: PutPackageOriginConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutRepositoryPermissionsPolicyCommand: (
  input: PutRepositoryPermissionsPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePackageVersionsStatusCommand: (
  input: UpdatePackageVersionsStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateRepositoryCommand: (
  input: UpdateRepositoryCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_AssociateExternalConnectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateExternalConnectionCommandOutput>;
export declare const de_CopyPackageVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CopyPackageVersionsCommandOutput>;
export declare const de_CreateDomainCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDomainCommandOutput>;
export declare const de_CreateRepositoryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateRepositoryCommandOutput>;
export declare const de_DeleteDomainCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDomainCommandOutput>;
export declare const de_DeleteDomainPermissionsPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDomainPermissionsPolicyCommandOutput>;
export declare const de_DeletePackageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePackageCommandOutput>;
export declare const de_DeletePackageVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePackageVersionsCommandOutput>;
export declare const de_DeleteRepositoryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRepositoryCommandOutput>;
export declare const de_DeleteRepositoryPermissionsPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRepositoryPermissionsPolicyCommandOutput>;
export declare const de_DescribeDomainCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeDomainCommandOutput>;
export declare const de_DescribePackageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribePackageCommandOutput>;
export declare const de_DescribePackageVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribePackageVersionCommandOutput>;
export declare const de_DescribeRepositoryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeRepositoryCommandOutput>;
export declare const de_DisassociateExternalConnectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateExternalConnectionCommandOutput>;
export declare const de_DisposePackageVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisposePackageVersionsCommandOutput>;
export declare const de_GetAuthorizationTokenCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAuthorizationTokenCommandOutput>;
export declare const de_GetDomainPermissionsPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDomainPermissionsPolicyCommandOutput>;
export declare const de_GetPackageVersionAssetCommand: (
  output: __HttpResponse,
  context: __SerdeContext & __SdkStreamSerdeContext
) => Promise<GetPackageVersionAssetCommandOutput>;
export declare const de_GetPackageVersionReadmeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPackageVersionReadmeCommandOutput>;
export declare const de_GetRepositoryEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetRepositoryEndpointCommandOutput>;
export declare const de_GetRepositoryPermissionsPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetRepositoryPermissionsPolicyCommandOutput>;
export declare const de_ListDomainsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDomainsCommandOutput>;
export declare const de_ListPackagesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPackagesCommandOutput>;
export declare const de_ListPackageVersionAssetsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPackageVersionAssetsCommandOutput>;
export declare const de_ListPackageVersionDependenciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPackageVersionDependenciesCommandOutput>;
export declare const de_ListPackageVersionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPackageVersionsCommandOutput>;
export declare const de_ListRepositoriesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRepositoriesCommandOutput>;
export declare const de_ListRepositoriesInDomainCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRepositoriesInDomainCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_PublishPackageVersionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PublishPackageVersionCommandOutput>;
export declare const de_PutDomainPermissionsPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutDomainPermissionsPolicyCommandOutput>;
export declare const de_PutPackageOriginConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutPackageOriginConfigurationCommandOutput>;
export declare const de_PutRepositoryPermissionsPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutRepositoryPermissionsPolicyCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdatePackageVersionsStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePackageVersionsStatusCommandOutput>;
export declare const de_UpdateRepositoryCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRepositoryCommandOutput>;
